﻿using EmployeeTracker.Views;
using Prism.Commands;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EmployeeTracker.Commands
{
    /// <summary>
    /// Глобальные команды для навигации
    /// </summary>
    static class NavigationCommands
    {
        /// <summary>
        /// При нажатии на кнопку подсистемы в WelcomeView переходит в страницу
        /// </summary>
        public static DelegateCommand NavigateFrame { get; set; }

        static NavigationCommands()
        {
            NavigateFrame = new DelegateCommand(NavigateFrameExecute);
        }

        private static void NavigateFrameExecute()
        {
            (App.Current.MainWindow as MainWindow).MainFrame.Navigate(new EmployeeBrowseView());
        }
    }
}
