﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace EmployeeTracker.Views
{
    /// <summary>
    /// Логика взаимодействия для EmployeeBrowseView.xaml
    /// </summary>
    public partial class EmployeeBrowseView : Page
    {
        private bool isDirty = false;

        public EmployeeBrowseView()
        {
            InitializeComponent();
        }

        private void WhenDirty(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = isDirty;
        }

        private void WhenClean(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = !isDirty;
        }

        private void Undo_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Undoing");
            isDirty = true;
        }

        private void Save_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Saving");
            isDirty = false;
        }

        private void New_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Adding...");
            isDirty = true;
        }

        private void Edit_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Editing...");
            isDirty = true;
        }

        private void Delete_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Deleting...");
            isDirty = true;
        }

        private void Find_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            MessageBox.Show("Searching...");
        }
    }
}
